import React, { useState } from 'react';
import './form.css';
import './style.css';

const MultiLanguageComponent = () => {
  const [language, setLanguage] = useState('en');

  const text = {
   
    heading: {
      en: 'Helping you build websites',
      es: 'Ayudándote a construir sitios web',
      de: 'Wir helfen Ihnen beim Erstellen von Websites',
    },
    extraText: {
      en: `
        Do you want to build a modern, light-weight and responsive website? or wish to upgrade? contact support. 
        You can also order a free review report.
       
      `,
      es: `
      ¿Quiere crear un sitio web moderno, liviano y responsivo? ¿Tienes un deseo? Soporte de contacto.
      También puede solicitar un informe previo a la revisión
      `,
      de: `
      Möchten Sie eine moderne, schlanke und reaktionsfähige Website erstellen? Haben Sie einen Wunsch? Kontaktieren Sie Support.
      Sie können auch einen Vorabbericht bestellen
      `,
    },
  };

  const handleLanguageChange = (selectedLanguage) => {
    setLanguage(selectedLanguage);
  };

  const linkStyle = {
    fontWeight: 'bold',
  };

  return (
    <div className="phppot-container">
      <div className="textline">
        <span>Select language : </span>
        <a
          href="#"
          onClick={() => handleLanguageChange('en')}
          style={language === 'en' ? linkStyle : {}}
        >
          en
        </a>
        <a
          href="#"
          onClick={() => handleLanguageChange('es')}
          style={language === 'es' ? linkStyle : {}}
        >
          es
        </a>
        <a
          href="#"
          onClick={() => handleLanguageChange('de')}
          style={language === 'de' ? linkStyle : {}}
        >
          de
        </a>
      </div>
      <h1>{text.heading[language]}</h1>

      <p>{text[language]}</p>
      <div>
        {text.extraText[language].split('\n').map((line, index) => (
          <p key={index}>{line}</p>
        ))}
      </div>
    </div>
  );
};

export default MultiLanguageComponent;
